aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/extract-ikconfig
diff options
context:
space:
mode:
authorAlexey Dobriyan <adobriyan@gmail.com>2006-03-24 03:15:55 -0800
committerLinus Torvalds <torvalds@g5.osdl.org>2006-03-24 07:33:21 -0800
commit66f9f59a5bfcb9efc8acad5ff0ece02fdaca6817 (patch)
tree15e872b25c747dc96b639fd5ec65cc9b604528ac /scripts/extract-ikconfig
parenta4a6198b80cf82eb8160603c98da218d1bd5e104 (diff)
[PATCH] extract-ikconfig: use mktemp(1)
Signed-off-by: Alexey Dobriyan <adobriyan@gmail.com> Signed-off-by: Andrew Morton <akpm@osdl.org> Signed-off-by: Linus Torvalds <torvalds@osdl.org>
Diffstat (limited to 'scripts/extract-ikconfig')
-rwxr-xr-xscripts/extract-ikconfig2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/extract-ikconfig b/scripts/extract-ikconfig
index d9f9f34b22ab..ef6140dc2ded 100755
--- a/scripts/extract-ikconfig
+++ b/scripts/extract-ikconfig
@@ -45,7 +45,7 @@ then
exit 1
fi
-TMPFILE="/tmp/ikconfig-$$"
+TMPFILE=`mktemp -t ikconfig-XXXXXX` || exit 1
image="$1"
# vmlinux: Attempt to dump the configuration from the file directly

Privacy Policy